Samba auf fritz.box 3050 startet nicht

$H4RKY

Neuer User
Mitglied seit
18 Jul 2007
Beiträge
42
Punkte für Reaktionen
0
Punkte
0
Hi,

ich habe auf meiner fritz.box 3050 den ds-mod ds-0.2.9-p8 installiert

ich habe aus den vorhandenen paketen samba mit ausgewählt.

nur leider startet der nicht weil:

Looking for user 'samba'...added.
Starting samba nmbd.../mod/etc/init.d/rc.nmbd: /mod/etc/init.d/rc.nmbd: 58: nmbd: not found
failed.
Starting samba smbd.../mod/etc/init.d/rc.smbd: /mod/etc/init.d/rc.smbd: 56: smbd: not found
failed.




das komische is nur das die datei (bzw. der syslink) sehrwohl da is.

inhalt der rc.nmbd:

Code:
#!/bin/sh

export PATH=/sbin:/bin:/usr/sbin:/usr/bin:/mod/sbin:/mod/bin:/mod/usr/sbin:/mod/usr/bin
export LD_LIBRARY_PATH=/mod/lib:/mod/usr/lib

DAEMON=nmbd

start() {
	touch /tmp/flash/samba/lmhosts

	echo -n 'Starting samba nmbd...'
	$DAEMON -D -o -H /tmp/flash/samba/lmhosts
	exitval=$?
	if [ "$exitval" -eq 0 ]; then
		echo 'done.'
	else
		echo 'failed.'
		exit $exitval
	fi
}

stop () {
	echo -n 'Stopping samba nmbd...'
	killall $DAEMON > /dev/null 2>&1
	exitval=$?

	if [ "$exitval" -eq 0 ]; then
		echo 'done.'
	else
		echo 'failed.'
		exit $exitval
	fi
}

case "$1" in
	start)
		start
		;;
	stop)
		stop
		;;
	restart)
		stop
		sleep 1
		start
		;;
	status)
		if [ -z "$(pidof "$DAEMON")" ]; then
			echo 'stopped'
		else
			echo 'running'
		fi
		;;
	*)
		echo "Usage: $0 {start|stop|restart|status}" 1>&2
		exit 1
		;;
esac

exit 0


das gleiche is mit der rc.smbd, vorhanden, wird aber nicht gefunden

was bedeuten die 56 und die 58 in der fehlermeldung ??? is das die zeile mit dem fehler oder sowas?
 

Anhänge

  • samba.jpg
    samba.jpg
    163.4 KB · Aufrufe: 16

RalfFriedl

IPPF-Urgestein
Mitglied seit
22 Apr 2007
Beiträge
12,343
Punkte für Reaktionen
1
Punkte
0
Ja, die Zahlen bedeuten die Zeilen-Nummern, wo der Fehler auftritt, und direkt davor steht der Name der Datei, in der der Fehler auftritt.

Konkret werden hier die Dateien smbd und nmbd nicht gefunden.
Sind diese bei Dir in der Firmware enthalten?
Hast Du den Punkt aktiviert, daß Samba entfernt werden soll?
 

$H4RKY

Neuer User
Mitglied seit
18 Jul 2007
Beiträge
42
Punkte für Reaktionen
0
Punkte
0
Konkret werden hier die Dateien smbd und nmbd nicht gefunden.
Sind diese bei Dir in der Firmware enthalten?
Hast Du den Punkt aktiviert, daß Samba entfernt werden soll?



das is ja schonmal was....

ja in der firmware sind sie mit bei, von da werden sie ja dann beim flashen mit auf die box kopiert wenn ich das richtig sehe.
auch im ordner /ds-mod.x.x/packages/ sind sie mit drin beim erstellen der firmware

aber wo kann ich einen punkt aktivieren das samba entfernt werden soll....
zumal ich samba ja eigentlich behalten will....

????


mfg
 

$H4RKY

Neuer User
Mitglied seit
18 Jul 2007
Beiträge
42
Punkte für Reaktionen
0
Punkte
0
Hast Du den Punkt aktiviert, daß Samba entfernt werden soll?


was meint der damit ???
 

Zurzeit aktive Besucher

3CX

Statistik des Forums

Themen
237,879
Beiträge
2,102,242
Mitglieder
360,374
Neuestes Mitglied
ffwit

Erhalten Sie 3CX für 1 Jahr kostenlos!

Gehostet, in Ihrer privaten Cloud oder on-Premise! Ganz ohne Haken. Geben Sie Ihren Namen und Ihre E-Mail an und los geht´s:

3CX
Für diese E-Mail-Adresse besteht bereits ein 3CX-Konto. Sie werden zum Kundenportal weitergeleitet, wo Sie sich anmelden oder Ihr Passwort zurücksetzen können, falls Sie dieses vergessen haben.
oder via

IPPF im Überblick

Neueste Beiträge

Website-Sponsoren


Kontaktieren Sie uns bei Interesse